5515 comments

So I submitted a ticket last week and have not heard back. How long does it usually take to hear back once submitting a ticket?
Hi, our apologies for not answering before, it seems we missed your message.
We have already sent you a message.

Regards
Hi there, how do I add breadcrumbs to the routing system? I'm using the Angular 1.3 version.
Thanks in advance for your help; I'm loving this template.
Never mind, figured it out... thanks anyway!
Hello, I bought this theme but I have troubles using it with react, when I run npm run start the server starts correctly, if I'm on a browser, but if we use a mobile device I receive Uncaught TypeError: Cannot read property 'mouse' of undefined at eval (jquery.ui.touch-punch.min.js?d7d0:14) and Uncaught TypeError: Cannot read property 'get' of undefined
at exports.default (localize.js?693d:14)
Hi, the jqueryui-touch-punch module was included in file Vendor.jsx which triggers the error, the right place must be after jqueryUI library and we use it for the Calendar component.

Solution,
- Remove import of jqueryui-touch-punch from Vendor.jsx
- Add the following to app/components/Extras/Calendar.run.js (after all other imports)

import '../../../node_modules/jqueryui-touch-punch/jquery.ui.touch-punch.min.js';

Of course, if you don't need it, just remove any reference to jqueryUI from the project and it should work fine.

Let us know if you have any question

Thanks
Regards
Hello, I bought the template but I don't know how to use with ASP.NET website. Is it possible to integrate with ASP.NET web site? Do you have any simple documentation? I downloaded but there are many folder/items inside the package. I don't know which one is the right one to start with. I am a newbie.

Thanks
Hi, you can find project for mvc5 mvc6 and net.core under respective folder with those acronyms.
An important thing to consider here is that the template was designed to build your application on top of it and not to integrate with another application, meaning, if you have separated components already created you can try to add them to the existing structure of the template with routes, views, etc. But if your application relies on an existing layout and structure, it's necessary to adapt it the structure of the template, otherwise you won't be able to compile the files correctly.

Let us know if you have any question
Regards
Punsset PURCHASED
Hi

I am using your angle seed version.

I have added datatables to it

Now, the icons to order don't show

http://0.0.0.0:3000/assets/fonts/glyphicons-halflings-regular.ttf net::ERR_ABORTED

I have also problems with other fonts:

http://0.0.0.0:3000/fonts/fontawesome/fonts/fontawesome-webfont.woff?v=4.7.0 net::ERR_ABORTED

Do you know what I am missing?

Thank you
Hi, what project are you using (jqueyr, angular, etc) ?
Based on error message, fonts are not present or can't be located, usually a bit of css to fix a path could solve the issue.
Also, have you added jquery-datatable plugin? or it's another component?

Thanks
Regards
Hello, I bought the template and I used AngularJS version in my project. Now, I am thinking of using Angular5+Material Design in the project. But, many of features in AngularJS version are not found in Angular5 version like ngDialog,panel,portlets(in elements category),wizard,xEditable,uiSelect(in forms category),ngTable,uiGrid(in table category). Do you plan add them? Can I get information about it?

Thanks
HI, unfortunately some features are not present because they don't a have angular 5 version, of course we could add jquery plugins with components wrapper but our intention is to use native angular components as much as possible. Said that, our plan is to add all features, or at least similar plugins to achieve a similar task. For example, datatable is not ported the ng5 but ngx-datatable was added as a similar solution. Since they are third party products, it's hard to ensure they are ported to each version of angular released.
If you want to add a new plugin and need assistance to implement please don't hesitate to contact us and we'll assist you.

Thanks
Regards
Hi, I have used ngDialog, panel features mainly in my project. There are other feautures that I use. But, these features are more important. Can you add ngDialog, panel?

Thanks
Hi, ngDIalog doesn't seems to have an angular 2+ version https://github.com/likeastore/ngDialog/issues/493
You could try installing something like https://github.com/shlomiassaf/ngx-modialog not the same but similar.

Regarding to panel feature, it's fully based on jQuery, meaning non native angular code, and that's why we haven't added it to the template yet. Anyway, if you really need it we could try to adapt and see how ti works.Contact us via our profile page so we can chat via email and send you the files.

Thanks
Regards
Hi, I want to use File Upload in my project. But, I don't understand how to use and uploded files are where is it going. So, can you help about this? Additionally, do you have possibility for adding file input properties?

Thanks
Hi, the plugin we use is ng2-file-upload and you can see a backend implementation in their website here: https://valor-software.com/ng2-file-upload/
In case you are using a php backend you can check this post with an example, https://github.com/valor-software/ng2-file-upload/issues/945 , it's not too different than any other standard technique.

Regards
lotpi PURCHASED
Hy Themicon,

at first thanks for your great Support.
I am Tusing Angle - Bootstrap Admin Template

How can I do this:

I need 3 or more Tabs and in each one of Tabs a Form und one button "continue" to navigate from first to the last Tab. On the last Tab is Save Function.
In jQuery Version you have used Tabs on this page: app/widgets.html

Here your Code:

<!-- Nav tabs-->
<ul role="tablist" class="nav nav-tabs nav-justified">
<li role="presentation" class="active">
<a href="#home" aria-controls="home" role="tab" data-toggle="tab">
<em class="fa fa-clock-o fa-fw"></em>Tasks Panel</a>
</li>
<li role="presentation">
<a href="#profile" aria-controls="profile" role="tab" data-toggle="tab">
<em class="fa fa-money fa-fw"></em>Transactions Panel</a>
</li>
</ul>
<!-- Tab panes-->

<div class="tab-content p0">
<div id="home" role="tabpanel" class="tab-pane active">
</div>
<div id="profile" role="tabpanel" class="tab-pane">
</div>
</div>

Do you have some example or code for my Problem.

Thank you

Anel
Hi, you can navigate between tabs with the method "tab('show')" from Bootstrap.
Following the Widgets examples, you can do
$('a[href="#home"]').tab('show') --> to show the 'Task Panel' tab
or
$('a[href="#profile"]').tab('show') --> to show the 'Transactions Panel' tab

As you can see, you need to select the "a" tag in the markup and invoke the "tab" plugin. You can do this by adding a "click" handler to the 'continue' button to open the show another tab.

Here you can see official docs about Tabs, https://getbootstrap.com/docs/3.3/javascript/#tabs

Let us know if you have any question
Regards
lotpi PURCHASED
Hello

none of these two solutions work:

$ ('. nav-tabs> active') next ('li'). find ('a'). trigger ('click');
$ ('. nav-tabs> .active'). next ('li'). find ('a'). click ();
lotpi PURCHASED
Hallo Themicon,

thanks for your example :)

Ist work :)

Regards
Hi,
Bootstrap modal popup is not working, no error but showing below the blocked layer, so could not able to interact, and Jquery-ui dialog also same issue in asp.net core Jquery template
Hi, we have tested modals on the following and seems to be working fine.
Netcore
http://themicon-001-site2.atempurl.com/Elements/Notifications
Mvc5
http://themicon-001-site5.atempurl.com/Elements/Notifications

Jquery-ui dialog is not used in the template.

Could you provide us with more details to correctly analyze the issue.?
Thanks
Regards
Is there a way to get the Material look & feel on the JQuery template?
Hi, we have a version of material styles for the jQuery project, Actually, it's a port of the LESS stylesheets to material.
If it's suitable for you please send us a message via our profile page and we will send you the LESS files.

Regards
Will do.
Thanks for the quick response!
Looks like your RoR version has some fontawesome errors ?
https://angle-on-rails.herokuapp.com/dashboard/dashboard_v1#

any updates planned ?
Hi, apologies for the long delay and thanks for pointing us this issue.
Font awesome paths were wrongly referencing the path, not sure why it was working on dev but fails on production.
Just in case you need to fix this,
In file app/assets/stylesheets/fonts.css.scss
Is necessary to change the folder name
from
fontawesome
to
font-awesome

Let us know if you have any question

Thanks again,
Regards
iwaitu PURCHASED
how to cunstom language of datepick ?
Hi, for what project do you need this (angular, jquery, etc)?

Thanks
Regards
Hello,

Downloaded last week, it appear that the Asp.Net Core 2 Angular 5 project is not usable.

Reproduction:
- fresh Visual Studio 2017 install, up-to-date with all required components (.net core..)
- loading of the netcore-angular5 solution
- build (not error)
- run (in debug or not, same)
- loading page visible with Angle title
- fail with tons of Module build failed: Error: Missing binding D:\TFS\Angle\Angle\node_modules\node-sass\vendor\win32-x64-57\binding.node

Could you help me figuring out the issue ? Thanks !

More debug details :

Microsoft.AspNetCore.NodeServices:Error: Hash: 6388d38e7532ce46ee89
Version: webpack 3.8.1
Time: 78746ms
(...)
WARNING in ./node_modules/@angular/core/esm5/core.js
6581:15-36 Critical dependency: the request of a dependency is an expression
@ ./node_modules/@angular/core/esm5/core.js
@ ./ClientApp/boot-client.ts
@ multi webpack-hot-middleware/client?path=%2Fdist%2F__webpack_hmr ./ClientApp/boot-client.ts

WARNING in ./node_modules/@angular/core/esm5/core.js
6601:15-102 Critical dependency: the request of a dependency is an expression
@ ./node_modules/@angular/core/esm5/core.js
@ ./ClientApp/boot-client.ts
@ multi webpack-hot-middleware/client?path=%2Fdist%2F__webpack_hmr ./ClientApp/boot-client.ts

ERROR in ./ClientApp/app/routes/blog/list/list.component.scss
Module build failed: Error: Missing binding D:\TFS\Angle\Angle\node_modules\node-sass\vendor\win32-x64-57\binding.node
Node Sass could not find a binding for your current environment: Windows 64-bit with Node.js 8.x

Found bindings for the following environments:
- Windows 64-bit with Node.js 5.x

This usually happens because your environment has changed since running `npm install`.
Run `npm rebuild node-sass --force` to build the binding for your current environment.
at module.exports (D:\TFS\Angle\Angle\node_modules\node-sass\lib\binding.js:15:13)
at Object.<anonymous> (D:\TFS\Angle\Angle\node_modules\node-sass\lib\index.js:14:35)
at Module._compile (module.js:569:30)
at Object.Module._extensions..js (module.js:580:10)
at Module.load (module.js:503:32)
at tryModuleLoad (module.js:466:12)
at Function.Module._load (module.js:458:3)
at Module.require (module.js:513:17)
at require (internal/module.js:11:18)
at Object.<anonymous> (D:\TFS\Angle\Angle\node_modules\sass-loader\lib\loader.js:3:14)
@ ./ClientApp/app/routes/blog/list/list.component.ts 59:21-53
@ ./ClientApp/app/routes/blog/blog.module.ts
@ ./ClientApp/app/routes/routes.ts
@ ./ClientApp/app/routes/routes.module.ts
@ ./ClientApp/app/app.module.ts
@ ./ClientApp/boot-client.ts
@ multi webpack-hot-middleware/client?path=%2Fdist%2F__webpack_hmr ./ClientApp/boot-client.ts
Command "npm rebuild node-sass" used to fix it, not an issue anymore.
Great! Thanks for the feedback and sharing the solution!
This is usually required when you had previously installed some package and the node environment has changed. https://docs.npmjs.com/cli/rebuild

Thanks
Regards
Is there a seed project for the .NET core + Angular 5 version? Also, is there someway I can make it run through command line and not have to build via Visual Studio full version? What do you guys use
Hi, seed versions for netcore project is not available yet but will be included in the short term.
If you are interested we could send you the files so you don't have to wait for a new release.
Regarding to usage, we use VS2017 for development and deploy. We have used also the dotnet command for deploy and worked out of the box, but we haven't tested more than that without VS.

Let us know if you have any question
Regards
GwenOo PURCHASED
Hi,

I'm working on a React project for some weeks. Since the beginning webpack is throwing an error when using arrow function syntaxt :

ERROR in ./app/components/Layout/Sidebar.jsx
Module build failed: SyntaxError: C:/~/app/components/Layout/Sidebar.jsx: Missing class properties transform

getUserNameArrow = () => {
| ^
32 | let userData = JSON.parse(localStorage.getItem('user'))
33 |
34 |

So i managed with some work around. Now i'm starting to be pretty blocked without arrow function, so i put myself into webpack but i still cannot figured out why it is not working. Is it supposed to work on the default configuration ? or Should i do some specific things.
Hi, it should work if you add stage-0 preset of babel.
To do that, edit the file webpack.common.js and locate the "rules" for "jsx", the one that uses 'babel-loader'
Then add at the end 'stage-0' like this:

presets: ['es2015', 'react', 'stage-0'],

Stop webpack and run again with npm run start.

Let us know if you have any question
Regards
Will this work with React 16? Has anyone tried to drop in replace?
Hi, for the moment it won't work out of the box. We made a quick test and it doesn't work just changing version number.

To allow compilation you need to update package versions to:
"react": "16.2.0",
"react-dom": "16.2.0",
"react-router": "4.2.0",
"react-router-bootstrap": "0.24.4",
"react-router-dom": "4.2.2",
"react-transition-group": "2.2.1",
"react-addons-test-utils": "15.6.2",
"react-hot-loader": "3.1.3",
(Some of them may not be really needed to upgrade.)

Then, in file webpack.common.js is necessary to change the react-hot-loader string to:

use: 'react-hot-loader/webpack'

With this changes, you should be able to compile the project but other warnings may appear at runtime like unknown attributes. Right now we have not time to check this in deep but we will put hands on for a future update any time soon.

Thanks
Regards
Hi I am integrated Angel with Rails but some reason modal popup giving black layered modal which is not accessible.
Please provide me hack for same thank you
Hi, please check the usage in file app/views/elements/notification.html.erb
Modal content should be added as child of the body in order to avoid conflict with other layout elements
We use <% content_for :body_area do %> to place markup directly as a body child.

Let us know if you have any question
Regards
Yep Its working fine with <% content_for :body_area do %> but when we I am trying same for page which loading using ajax not working as expected..
Hi, we haven't tested that but if you load the page using ajax, it seems rails won't be able to parse the entire page so it won't have a way to add the modal markup as a body child.
As a solution you could try adding the markup manually using jQuery when your ajax event finished loading, like this
$("#myModal").clone().appendTo("body");

Then you may need to manually init the modal plugin
$('#myModal').modal(options)
From bs docs, https://getbootstrap.com/docs/3.3/javascript/#via-javascript

Let us know if you have any question
Regards
In the "old" AngularJS version, is it possible to add a .state url that call to an external site (on the same server) but it renders in the CONTENT frame of the site?

We tried with external: true and the URL but it opens a new browser TAB. We would like to add an external HTML as content.

Thanks
Hi, this seems to be possible if you use an IFRAME, basically you load a route state and the content page will contain an iframe with the src url that you want to load. In case you need to set the url dynamically you can use route params (see 'app.forum' routes as example)
If the iframe is not suitable, you can try loading the external html with ajax and inject the result into the content area, if you need to run angular code that comes in the html, it will be a bit hard because you need to compile dynamically that code.
Here is an explanation of the last, https://odetocode.com/blogs/scott/archive/2014/05/07/using-compile-in-angular.aspx

Let us know if you have any question
Regards
Hi, I having trouble with change the favicon in backend-query pages, how I solution this, regards
Hi, please check the following post from SO: https://stackoverflow.com/a/45037868/1754325
Another good read, https://scotch.io/tutorials/all-favicons-for-all-devices-and-sizes

If have already applied those changes and new icons doesn't show try clearing browser cache.

Let us know if you have any question.
Regards
iwaitu PURCHASED
I want some sample for async loading data and show a loading spinner
Hi, sorry for the delay. For what project do you need this (jquery, angular, mvc, etc) ?

Regards
tomerdr PURCHASED
Hi,

How do I implement RTL user interface in Angular template?

Thanks in advance
Hi, already answered your message via email.
Regards

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$28
11845Purchases

Licenses: Details »

Single application $28
Version:3.8.7
Type:
  • HTML Template
Bootstrap: Compatible with 4.x
Layouts:
  • Responsive
  • Fluid
  • Fixed-width
Browsers:
  • IE 10, 11
  • Latest Chrome
  • Latest Edge
  • Latest Firefox
  • Latest Safari
Uses Less:Yes
Uses Sass:Yes
Category:
Topic: General
Labels: admin, admin template, angularjs, material, meanjs, meteor, mvc, rails, responsive, rtl
Item#:WB04HF123
Released:3 years ago
Updated:1 month ago
Sold exclusively on WrapBootstrap
themicon

themicon

Signed up 3 years ago

Need a front-end template?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: